{include file='modules/servers/puqProxmoxKVM/templates/header.tpl'}
<style>
    .icon {
        font-size: 40pt;
        transition: font-size 0.5s;
    }

    .tile-stat{
        font-size: 20pt;
    }
    .tiles .tile {
        margin-bottom: auto;
        margin-top: auto;
    }

    .vm_info_loading{
        margin-bottom: var(--ui-block-spacing-base);
        margin-top: var(--ui-block-spacing-base);
    }

    .swiper-slide{
        margin-top: var(--ui-block-spacing-base);
    }

    .icon:hover {
        font-size: 50pt;
    }
</style>
<script type="text/javascript">
    function ButtonNovnc(){
        var button_body = $('#button_body');
        button_body.html('<img src="/admin/images/loader.gif">');
        button_body.load("../modules/servers/puqProxmoxKVM/lib/ajax.php?serviceid={$kvm->service_id}&action=novnc");
        setTimeout(() => ButtonReturn(), 10000);
    }
    function ButtonReturn() {
        var button_body = $('#button_body');
        button_body.html('');
    }

    function ButtonStart(){
        var button_body = $('#button_body');
        button_body.html('<img src="/admin/images/loader.gif">');
        button_body.load("../modules/servers/puqProxmoxKVM/lib/ajax.php?serviceid={$kvm->service_id}&action=start");
    }
    function ButtonStop(){
        var button_body = $('#button_body');
        alert('{$kvm->lang['Stop?']}');
        result = confirm('{$kvm->lang['Are you sure?']}');
        if (result) {
            button_body.load("../modules/servers/puqProxmoxKVM/lib/ajax.php?serviceid={$kvm->service_id}&action=stop");
            button_body.html('<img src="/admin/images/loader.gif">');
        }
    }

    function VmInfo(){
        var vm_info = $('#vm_info');
        vm_info.load("../modules/servers/puqProxmoxKVM/lib/ajax.php?serviceid={$kvm->service_id}&action=informationonrealtime");
    }
    function VmInfoLoading(t){
        var vm_info_loading = $('#vm_info_loading');
        vm_info_loading.html("Reload..." + t);
    }
    function VmInfoLoadingImg(){
        var vm_info_loading = $('#vm_info_loading');
        vm_info_loading.html('<img src="/admin/images/loader.gif">');
    }
    setTimeout(() => VmInfoLoading("5"), 1000);
    setTimeout(() => VmInfoLoading("4"), 2000);
    setTimeout(() => VmInfoLoading("3"), 3000);
    setTimeout(() => VmInfoLoading("2"), 4000);
    setTimeout(() => VmInfoLoading("1"), 5000);
    setTimeout(() => VmInfoLoadingImg(), 6000);
    setInterval(function() {
        setTimeout(() => VmInfo(), 10);
        setTimeout(() => VmInfoLoading("5"), 1000);
        setTimeout(() => VmInfoLoading("4"), 2000);
        setTimeout(() => VmInfoLoading("3"), 3000);
        setTimeout(() => VmInfoLoading("2"), 4000);
        setTimeout(() => VmInfoLoading("1"), 5000);
        setTimeout(() => VmInfoLoadingImg(), 6000);
    }, 7000);
</script>

<div id="button_body"></div>
<hr>
<div class="tiles clearfix" {$kvm->vm_local_status_html_inactive}>
    <div class="row no-gutters swiper-wrapper">
        <div class="col-6 col-xl-3 col-sm-3 col-xs-6 swiper-slide" {$kvm->cc_allow_start_inactive}>
            <a class="tile" onclick="ButtonStart()" style="background-color: #00000000; margin-right: 1px;">
                <i class="fa fa-power-off icon tile-icon-absolute" style="color: green;"></i>
                <div class="stat tile-stat"><br>{$kvm->lang['Start']}</div>
                <div class="highlight bg-color-green"></div>
            </a>
        </div>
        <div class="col-6 col-xl-3 col-sm-3 col-xs-6 swiper-slide" {$kvm->cc_allow_stop_inactive}>
            <a class="tile" onclick="ButtonStop()" style="background-color: #00000000; margin-right: 1px;">
                <i class="fa fa-power-off icon tile-icon-absolute" style="color: red;"></i>
                <div class="stat tile-stat"><br>{$kvm->lang['Stop']}</div>
                <div class="highlight bg-color-red"></div>
            </a>
        </div>
        <div class="col-6 col-xl-3 col-sm-3 col-xs-6 swiper-slide" {$kvm->cc_allow_noVLC_inactive}>
            <a class="tile" onclick="ButtonNovnc()" style="background-color: #00000000; margin-right: 1px;">
                <i class="fa fa-desktop icon tile-icon-absolute" style="color: blue;"></i>
                <div class="stat tile-stat"><br>{$kvm->lang['noVNC']}</div>
                <div class="highlight bg-color-blue"></div>
            </a>
        </div>
        <div class="col-6 col-xl-3 col-sm-3 col-xs-6 swiper-slide"  {$kvm->cc_allow_charts_inactive} style="border-right: 0 solid #ccc;">
            <a class="tile" onclick="document.location.href = 'clientarea.php?action=productdetails&id={$kvm->service_id}&action_m=charts';" style="background-color: #00000000;">
                <i class="fa fa-chart-line icon tile-icon-absolute" style="color: orange;"></i>
                <div class="stat tile-stat"><br>{$kvm->lang['Charts']}</div>
                <div class="highlight bg-color-orange"></div>
            </a>
        </div>
    </div>
</div>

<div id="vm_info_loading" class="vm_info_loading"><img src="/admin/images/loader.gif"></div>
<div id="vm_info">{$real_time}</div>

{if $kvm->package_options['network_configuration']['dhcp_ipv4'] ne 'on'}
    {include file='modules/servers/puqProxmoxKVM/templates/network_configuration.tpl'}
{/if}

<div class="tiles clearfix" {$kvm->vm_local_status_html_inactive}>
    <div class="row no-gutters swiper-wrapper">
        <div class="col-sm-4 col-xs-8 swiper-slide" {$kvm->cc_allow_reinstall_inactive}>
            <a class="tile" onclick="document.location.href = 'clientarea.php?action=productdetails&id={$kvm->service_id}&action_m=reinstall';" style="background-color: #00000000; margin-right: 1px;">
                <i class="fa fa-retweet icon tile-icon-absolute" style="color: purple;"></i>
                <div class="stat tile-stat"><br>{$kvm->lang['Reinstall']}</div>
                <div class="highlight bg-color-purple"></div>
            </a>
        </div>
        <div class="col-sm-4 col-xs-8 swiper-slide" {$kvm->cc_snapshots_inactive}>
            <a  class="tile" onclick="document.location.href = 'clientarea.php?action=productdetails&id={$kvm->service_id}&action_m=snapshots';" style="background-color: #00000000; margin-right: 1px;">
            <i class="fa fa-reply icon tile-icon-absolute" style="color: purple;"></i>
            <div class="stat tile-stat"><br>{$kvm->lang['Snapshots']}</div>
            <div class="highlight bg-color-purple"></div>
            </a>
        </div>
        <div class="col-sm-4 col-xs-8 swiper-slide" {$kvm->cc_backups_inactive} style="border-right: 0 solid #ccc;">
            <a class="tile" onclick="document.location.href = 'clientarea.php?action=productdetails&id={$kvm->service_id}&action_m=backups';" style="background-color: #00000000; margin-right: 1px;">
            <i class="fa fa-reply-all icon tile-icon-absolute" style="color: purple;"></i>
            <div class="stat tile-stat"><br>{$kvm->lang['Backups']}</div>
            <div class="highlight bg-color-purple"></div>
            </a>
        </div>
    </div>
</div>

<div class="tiles clearfix" {$kvm->vm_local_status_html_inactive}>
    <div class="row no-gutters swiper-wrapper">
        <div class="col-sm-4 col-xs-8 swiper-slide" {$kvm->cc_allow_reset_password_inactive}>
            <a class="tile" onclick="document.location.href = 'clientarea.php?action=productdetails&id={$kvm->service_id}&action_m=reset_password';" style="background-color: #00000000; margin-right: 1px; margin-bottom: 0px;">
                <i class="fa fa-id-card icon tile-icon-absolute" style="color: purple;"></i>
                <div class="stat tile-stat" style="text-align: left;">{$kvm->lang['Reset password']}</div>
                <div class="highlight bg-color-purple"></div>
            </a>
        </div>
        <div class="col-sm-4 col-xs-8 swiper-slide" {$kvm->cc_allow_revdns_configure_inactive}>
            <a class="tile" onclick="document.location.href = 'clientarea.php?action=productdetails&id={$kvm->service_id}&action_m=revdns_configure';" style="background-color: #00000000; margin-right: 1px; margin-bottom: 0px;">
                <i class="fa fa-globe icon tile-icon-absolute" style="color: purple;"></i>
                <div class="stat tile-stat"><br>{$kvm->lang['revDNS']}</div>
                <div class="highlight bg-color-purple"></div>
            </a>
        </div>
        <div class="col-sm-4 col-xs-8 swiper-slide" {$kvm->cc_allow_iso_mount_inactive} style="border-right: 0 solid #ccc;">
            <a class="tile" onclick="document.location.href = 'clientarea.php?action=productdetails&id={$kvm->service_id}&action_m=iso_mount';" style="background-color: #00000000; margin-right: 1px; margin-bottom: 0px;">
                <i class="fa fa-dot-circle icon tile-icon-absolute" style="color: purple;"></i>
                <div class="stat tile-stat"><br>{$kvm->lang['ISO']}</div>
                <div class="highlight bg-color-purple"></div>
            </a>
        </div>
    </div>
</div>
